Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/7
Addresses2^121
/64 networks2^57
Network
2400::/7
First address
2400::
Last address
25ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
/64 networks (LANs)
144,115,188,075,855,872 (2^57)
Full form
2400:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
4.2.ip6.arpa
5.2.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets/20

2400::/7 makes 8,192 subnets of /20; the first 256 are listed.

Subnets
#SubnetLast address
12400::/202400:fff:ffff:ffff:ffff:ffff:ffff:ffff
22400:1000::/202400:1fff:ffff:ffff:ffff:ffff:ffff:ffff
32400:2000::/202400:2fff:ffff:ffff:ffff:ffff:ffff:ffff
42400:3000::/202400:3fff:ffff:ffff:ffff:ffff:ffff:ffff
52400:4000::/202400:4fff:ffff:ffff:ffff:ffff:ffff:ffff
62400:5000::/202400:5fff:ffff:ffff:ffff:ffff:ffff:ffff
72400:6000::/202400:6fff:ffff:ffff:ffff:ffff:ffff:ffff
82400:7000::/202400:7fff:ffff:ffff:ffff:ffff:ffff:ffff
92400:8000::/202400:8fff:ffff:ffff:ffff:ffff:ffff:ffff
102400:9000::/202400:9fff:ffff:ffff:ffff:ffff:ffff:ffff
112400:a000::/202400:afff:ffff:ffff:ffff:ffff:ffff:ffff
122400:b000::/202400:bfff:ffff:ffff:ffff:ffff:ffff:ffff
132400:c000::/202400:cfff:ffff:ffff:ffff:ffff:ffff:ffff
142400:d000::/202400:dfff:ffff:ffff:ffff:ffff:ffff:ffff
152400:e000::/202400:efff:ffff:ffff:ffff:ffff:ffff:ffff
162400:f000::/202400:ffff:ffff:ffff:ffff:ffff:ffff:ffff
172401::/202401:fff:ffff:ffff:ffff:ffff:ffff:ffff
182401:1000::/202401:1fff:ffff:ffff:ffff:ffff:ffff:ffff
192401:2000::/202401:2fff:ffff:ffff:ffff:ffff:ffff:ffff
202401:3000::/202401:3fff:ffff:ffff:ffff:ffff:ffff:ffff
212401:4000::/202401:4fff:ffff:ffff:ffff:ffff:ffff:ffff
222401:5000::/202401:5fff:ffff:ffff:ffff:ffff:ffff:ffff
232401:6000::/202401:6fff:ffff:ffff:ffff:ffff:ffff:ffff
242401:7000::/202401:7fff:ffff:ffff:ffff:ffff:ffff:ffff
252401:8000::/202401:8fff:ffff:ffff:ffff:ffff:ffff:ffff
262401:9000::/202401:9fff:ffff:ffff:ffff:ffff:ffff:ffff
272401:a000::/202401:afff:ffff:ffff:ffff:ffff:ffff:ffff
282401:b000::/202401:bfff:ffff:ffff:ffff:ffff:ffff:ffff
292401:c000::/202401:cfff:ffff:ffff:ffff:ffff:ffff:ffff
302401:d000::/202401:dfff:ffff:ffff:ffff:ffff:ffff:ffff
312401:e000::/202401:efff:ffff:ffff:ffff:ffff:ffff:ffff
322401:f000::/202401:ffff:ffff:ffff:ffff:ffff:ffff:ffff
332402::/202402:fff:ffff:ffff:ffff:ffff:ffff:ffff
342402:1000::/202402:1fff:ffff:ffff:ffff:ffff:ffff:ffff
352402:2000::/202402:2fff:ffff:ffff:ffff:ffff:ffff:ffff
362402:3000::/202402:3fff:ffff:ffff:ffff:ffff:ffff:ffff
372402:4000::/202402:4fff:ffff:ffff:ffff:ffff:ffff:ffff
382402:5000::/202402:5fff:ffff:ffff:ffff:ffff:ffff:ffff
392402:6000::/202402:6fff:ffff:ffff:ffff:ffff:ffff:ffff
402402:7000::/202402:7fff:ffff:ffff:ffff:ffff:ffff:ffff
412402:8000::/202402:8fff:ffff:ffff:ffff:ffff:ffff:ffff
422402:9000::/202402:9fff:ffff:ffff:ffff:ffff:ffff:ffff
432402:a000::/202402:afff:ffff:ffff:ffff:ffff:ffff:ffff
442402:b000::/202402:bfff:ffff:ffff:ffff:ffff:ffff:ffff
452402:c000::/202402:cfff:ffff:ffff:ffff:ffff:ffff:ffff
462402:d000::/202402:dfff:ffff:ffff:ffff:ffff:ffff:ffff
472402:e000::/202402:efff:ffff:ffff:ffff:ffff:ffff:ffff
482402:f000::/202402:ffff:ffff:ffff:ffff:ffff:ffff:ffff
492403::/202403:fff:ffff:ffff:ffff:ffff:ffff:ffff
502403:1000::/202403:1fff:ffff:ffff:ffff:ffff:ffff:ffff
512403:2000::/202403:2fff:ffff:ffff:ffff:ffff:ffff:ffff
522403:3000::/202403:3fff:ffff:ffff:ffff:ffff:ffff:ffff
532403:4000::/202403:4fff:ffff:ffff:ffff:ffff:ffff:ffff
542403:5000::/202403:5fff:ffff:ffff:ffff:ffff:ffff:ffff
552403:6000::/202403:6fff:ffff:ffff:ffff:ffff:ffff:ffff
562403:7000::/202403:7fff:ffff:ffff:ffff:ffff:ffff:ffff
572403:8000::/202403:8fff:ffff:ffff:ffff:ffff:ffff:ffff
582403:9000::/202403:9fff:ffff:ffff:ffff:ffff:ffff:ffff
592403:a000::/202403:afff:ffff:ffff:ffff:ffff:ffff:ffff
602403:b000::/202403:bfff:ffff:ffff:ffff:ffff:ffff:ffff
612403:c000::/202403:cfff:ffff:ffff:ffff:ffff:ffff:ffff
622403:d000::/202403:dfff:ffff:ffff:ffff:ffff:ffff:ffff
632403:e000::/202403:efff:ffff:ffff:ffff:ffff:ffff:ffff
642403:f000::/202403:ffff:ffff:ffff:ffff:ffff:ffff:ffff
652404::/202404:fff:ffff:ffff:ffff:ffff:ffff:ffff
662404:1000::/202404:1fff:ffff:ffff:ffff:ffff:ffff:ffff
672404:2000::/202404:2fff:ffff:ffff:ffff:ffff:ffff:ffff
682404:3000::/202404:3fff:ffff:ffff:ffff:ffff:ffff:ffff
692404:4000::/202404:4fff:ffff:ffff:ffff:ffff:ffff:ffff
702404:5000::/202404:5fff:ffff:ffff:ffff:ffff:ffff:ffff
712404:6000::/202404:6fff:ffff:ffff:ffff:ffff:ffff:ffff
722404:7000::/202404:7fff:ffff:ffff:ffff:ffff:ffff:ffff
732404:8000::/202404:8fff:ffff:ffff:ffff:ffff:ffff:ffff
742404:9000::/202404:9fff:ffff:ffff:ffff:ffff:ffff:ffff
752404:a000::/202404:afff:ffff:ffff:ffff:ffff:ffff:ffff
762404:b000::/202404:bfff:ffff:ffff:ffff:ffff:ffff:ffff
772404:c000::/202404:cfff:ffff:ffff:ffff:ffff:ffff:ffff
782404:d000::/202404:dfff:ffff:ffff:ffff:ffff:ffff:ffff
792404:e000::/202404:efff:ffff:ffff:ffff:ffff:ffff:ffff
802404:f000::/202404:ffff:ffff:ffff:ffff:ffff:ffff:ffff
812405::/202405:fff:ffff:ffff:ffff:ffff:ffff:ffff
822405:1000::/202405:1fff:ffff:ffff:ffff:ffff:ffff:ffff
832405:2000::/202405:2fff:ffff:ffff:ffff:ffff:ffff:ffff
842405:3000::/202405:3fff:ffff:ffff:ffff:ffff:ffff:ffff
852405:4000::/202405:4fff:ffff:ffff:ffff:ffff:ffff:ffff
862405:5000::/202405:5fff:ffff:ffff:ffff:ffff:ffff:ffff
872405:6000::/202405:6fff:ffff:ffff:ffff:ffff:ffff:ffff
882405:7000::/202405:7fff:ffff:ffff:ffff:ffff:ffff:ffff
892405:8000::/202405:8fff:ffff:ffff:ffff:ffff:ffff:ffff
902405:9000::/202405:9fff:ffff:ffff:ffff:ffff:ffff:ffff
912405:a000::/202405:afff:ffff:ffff:ffff:ffff:ffff:ffff
922405:b000::/202405:bfff:ffff:ffff:ffff:ffff:ffff:ffff
932405:c000::/202405:cfff:ffff:ffff:ffff:ffff:ffff:ffff
942405:d000::/202405:dfff:ffff:ffff:ffff:ffff:ffff:ffff
952405:e000::/202405:efff:ffff:ffff:ffff:ffff:ffff:ffff
962405:f000::/202405:ffff:ffff:ffff:ffff:ffff:ffff:ffff
972406::/202406:fff:ffff:ffff:ffff:ffff:ffff:ffff
982406:1000::/202406:1fff:ffff:ffff:ffff:ffff:ffff:ffff
992406:2000::/202406:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1002406:3000::/202406:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1012406:4000::/202406:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1022406:5000::/202406:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1032406:6000::/202406:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1042406:7000::/202406:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1052406:8000::/202406:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1062406:9000::/202406:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1072406:a000::/202406:afff:ffff:ffff:ffff:ffff:ffff:ffff
1082406:b000::/202406:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1092406:c000::/202406:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1102406:d000::/202406:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1112406:e000::/202406:efff:ffff:ffff:ffff:ffff:ffff:ffff
1122406:f000::/202406:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1132407::/202407:fff:ffff:ffff:ffff:ffff:ffff:ffff
1142407:1000::/202407:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1152407:2000::/202407:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1162407:3000::/202407:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1172407:4000::/202407:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1182407:5000::/202407:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1192407:6000::/202407:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1202407:7000::/202407:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1212407:8000::/202407:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1222407:9000::/202407:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1232407:a000::/202407:afff:ffff:ffff:ffff:ffff:ffff:ffff
1242407:b000::/202407:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1252407:c000::/202407:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1262407:d000::/202407:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1272407:e000::/202407:efff:ffff:ffff:ffff:ffff:ffff:ffff
1282407:f000::/202407:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1292408::/202408:fff:ffff:ffff:ffff:ffff:ffff:ffff
1302408:1000::/202408:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1312408:2000::/202408:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1322408:3000::/202408:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1332408:4000::/202408:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1342408:5000::/202408:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1352408:6000::/202408:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1362408:7000::/202408:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1372408:8000::/202408:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1382408:9000::/202408:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1392408:a000::/202408:afff:ffff:ffff:ffff:ffff:ffff:ffff
1402408:b000::/202408:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1412408:c000::/202408:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1422408:d000::/202408:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1432408:e000::/202408:efff:ffff:ffff:ffff:ffff:ffff:ffff
1442408:f000::/202408:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1452409::/202409:fff:ffff:ffff:ffff:ffff:ffff:ffff
1462409:1000::/202409:1fff:ffff:ffff:ffff:ffff:ffff:ffff
1472409:2000::/202409:2fff:ffff:ffff:ffff:ffff:ffff:ffff
1482409:3000::/202409:3fff:ffff:ffff:ffff:ffff:ffff:ffff
1492409:4000::/202409:4fff:ffff:ffff:ffff:ffff:ffff:ffff
1502409:5000::/202409:5fff:ffff:ffff:ffff:ffff:ffff:ffff
1512409:6000::/202409:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1522409:7000::/202409:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1532409:8000::/202409:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1542409:9000::/202409:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1552409:a000::/202409:afff:ffff:ffff:ffff:ffff:ffff:ffff
1562409:b000::/202409:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1572409:c000::/202409:cfff:ffff:ffff:ffff:ffff:ffff:ffff
1582409:d000::/202409:dfff:ffff:ffff:ffff:ffff:ffff:ffff
1592409:e000::/202409:efff:ffff:ffff:ffff:ffff:ffff:ffff
1602409:f000::/202409:ffff:ffff:ffff:ffff:ffff:ffff:ffff
161240a::/20240a:fff:ffff:ffff:ffff:ffff:ffff:ffff
162240a:1000::/20240a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
163240a:2000::/20240a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
164240a:3000::/20240a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
165240a:4000::/20240a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
166240a:5000::/20240a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
167240a:6000::/20240a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
168240a:7000::/20240a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
169240a:8000::/20240a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
170240a:9000::/20240a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
171240a:a000::/20240a:afff:ffff:ffff:ffff:ffff:ffff:ffff
172240a:b000::/20240a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
173240a:c000::/20240a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
174240a:d000::/20240a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
175240a:e000::/20240a:efff:ffff:ffff:ffff:ffff:ffff:ffff
176240a:f000::/20240a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
177240b::/20240b:fff:ffff:ffff:ffff:ffff:ffff:ffff
178240b:1000::/20240b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
179240b:2000::/20240b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
180240b:3000::/20240b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
181240b:4000::/20240b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
182240b:5000::/20240b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
183240b:6000::/20240b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
184240b:7000::/20240b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
185240b:8000::/20240b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
186240b:9000::/20240b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
187240b:a000::/20240b:afff:ffff:ffff:ffff:ffff:ffff:ffff
188240b:b000::/20240b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
189240b:c000::/20240b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
190240b:d000::/20240b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
191240b:e000::/20240b:efff:ffff:ffff:ffff:ffff:ffff:ffff
192240b:f000::/20240b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193240c::/20240c:fff:ffff:ffff:ffff:ffff:ffff:ffff
194240c:1000::/20240c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
195240c:2000::/20240c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
196240c:3000::/20240c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
197240c:4000::/20240c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
198240c:5000::/20240c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
199240c:6000::/20240c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
200240c:7000::/20240c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
201240c:8000::/20240c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
202240c:9000::/20240c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
203240c:a000::/20240c:afff:ffff:ffff:ffff:ffff:ffff:ffff
204240c:b000::/20240c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
205240c:c000::/20240c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
206240c:d000::/20240c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
207240c:e000::/20240c:efff:ffff:ffff:ffff:ffff:ffff:ffff
208240c:f000::/20240c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
209240d::/20240d:fff:ffff:ffff:ffff:ffff:ffff:ffff
210240d:1000::/20240d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
211240d:2000::/20240d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
212240d:3000::/20240d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
213240d:4000::/20240d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
214240d:5000::/20240d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
215240d:6000::/20240d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
216240d:7000::/20240d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
217240d:8000::/20240d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
218240d:9000::/20240d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
219240d:a000::/20240d:afff:ffff:ffff:ffff:ffff:ffff:ffff
220240d:b000::/20240d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
221240d:c000::/20240d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
222240d:d000::/20240d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
223240d:e000::/20240d:efff:ffff:ffff:ffff:ffff:ffff:ffff
224240d:f000::/20240d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
225240e::/20240e:fff:ffff:ffff:ffff:ffff:ffff:ffff
226240e:1000::/20240e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
227240e:2000::/20240e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
228240e:3000::/20240e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
229240e:4000::/20240e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
230240e:5000::/20240e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
231240e:6000::/20240e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
232240e:7000::/20240e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
233240e:8000::/20240e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
234240e:9000::/20240e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
235240e:a000::/20240e:afff:ffff:ffff:ffff:ffff:ffff:ffff
236240e:b000::/20240e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
237240e:c000::/20240e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
238240e:d000::/20240e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
239240e:e000::/20240e:efff:ffff:ffff:ffff:ffff:ffff:ffff
240240e:f000::/20240e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
241240f::/20240f:fff:ffff:ffff:ffff:ffff:ffff:ffff
242240f:1000::/20240f:1fff:ffff:ffff:ffff:ffff:ffff:ffff
243240f:2000::/20240f:2fff:ffff:ffff:ffff:ffff:ffff:ffff
244240f:3000::/20240f:3fff:ffff:ffff:ffff:ffff:ffff:ffff
245240f:4000::/20240f:4fff:ffff:ffff:ffff:ffff:ffff:ffff
246240f:5000::/20240f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
247240f:6000::/20240f:6fff:ffff:ffff:ffff:ffff:ffff:ffff
248240f:7000::/20240f:7fff:ffff:ffff:ffff:ffff:ffff:ffff
249240f:8000::/20240f:8fff:ffff:ffff:ffff:ffff:ffff:ffff
250240f:9000::/20240f:9fff:ffff:ffff:ffff:ffff:ffff:ffff
251240f:a000::/20240f:afff:ffff:ffff:ffff:ffff:ffff:ffff
252240f:b000::/20240f:bfff:ffff:ffff:ffff:ffff:ffff:ffff
253240f:c000::/20240f:cfff:ffff:ffff:ffff:ffff:ffff:ffff
254240f:d000::/20240f:dfff:ffff:ffff:ffff:ffff:ffff:ffff
255240f:e000::/20240f:efff:ffff:ffff:ffff:ffff:ffff:ffff
256240f:f000::/20240f:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses